# /api/asset/create

Creating Resource

* Endpoint: /api/asset/create
* Method: POST;
* Authorization: required;
* Parameters:

Name: Name of the new Resource;

Description: Description for the new Resource;

Type: Resource Type (1 - Credentials, 2 - Text, 3 - Calendar);

Text: Login for type = 1 (Credentials); Text for type = 2 (Text); JSON string with dates for type = 3 (Calendar); Password: Password. Only for type = 1 (Credentials);

PasswordExpiration: Password expiration date in the format Year-Month-Day Hour:Minute:Second. Only for type = 1 (Credentials);

RobotType: Availability of this Resource for Robots (3 — Available to all Robots, 2 — Available only to a specific group of Robots (specified in robot\_group\_id), 1 — Available only to a specific Robot (specified in robot\_id));

RobotId: ID of the Robot that has access to the Resource. Only for RobotType = 1;

RobotGroupId: ID of the Robot Group that has access to the Resource. Only for RobotType = 2.

* Example:

| Request                                                                                                                                                                     | Response                                                          |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| `json</p><p> {</p><p> "Name": "Asset 1",</p><p> "Description": "My new test Asset",</p><p> "Type": 2,</p><p> "Text": "Hello World",</p><p> "RobotType": 3,</p><p> }</p><p>` | <p>\[</p><p>"guid": "16f94238-ede9-435b-a001-1489b32e7dc2", ]</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/resurs/api-asset-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
